> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 以前のバージョンのアプリケーションからのパートナー／コネクタプロファイルのインポート

> このアクションは、以前のバージョンのアプリケーションからパートナー／コネクタのプロファイルをインポートします。



## OpenAPI

````yaml 26.3/self-hosted/ja/api-reference/openapi.json POST /import
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Arc インスタンスのベース URL
          です。スキームとアプリケーションパスを含みます（例：https://arc.example.com/api.rsc）。
security: []
paths:
  /import:
    post:
      tags:
        - import
      summary: 以前のバージョンのアプリケーションからのパートナー／コネクタプロファイルのインポート
      description: このアクションは、以前のバージョンのアプリケーションからパートナー／コネクタのプロファイルをインポートします。
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/import_input'
      responses:
        '200':
          description: アクションの結果。
        default:
          description: 予期しないエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    import_input:
      type: object
      properties:
        Arcflow:
          type: string
          description: arcflow のzipデータを含むbase64エンコードされた文字列。
        DuplicateAction:
          type: string
          description: Overwrite、Rename、Skip。
        Overwrite:
          type: string
          description: 重複したソースを上書きします。
          default: 'False'
        WorkspaceId:
          type: string
          description: >-
            arcflow をインポートするワークスペース。指定しない場合、アプリケーションは arcflow
            内のワークスペース名に基づいて使用するワークスペースを自動検出し、arcflow
            にワークスペースが指定されていない場合はデフォルトのワークスペースにフォールバックします。
        InputName:
          type: string
          description: フォームからファイルをアップロードする際のフォーム入力の名前。
        DataDirectory:
          type: string
          description: プロファイルが格納されているデータディレクトリまたはzipファイル。
        DecryptPassword:
          type: string
          description: 機密値を復号するためのパスワード。
        GlobalSettings:
          type: string
          description: >-
            インポートに含めるグローバル設定。以下の値の1つ以上をカンマ区切りの文字列で指定できます。または、特別な値 'ALL'
            を使用してすべてのグローバル設定をインポートできます。値：Partners、Documents、Users、Roles、Certificates、Connections、Vaults、Reports、Alerts、Advanced、AdminAPI、SSO。
        ProfileSettings:
          type: string
          description: >-
            インポートに含めるプロファイル。以下の値の1つ以上をカンマ区切りの文字列で指定できます。特別な値 'ALL'
            を使用すると、すべてのプロファイルをインポートできます。値：AS2、AS4、GISB、RosettaNet、FTPServer、SFTPServer、HL7MLLP、OFTP。
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````